<mamecheat version="1">

  <cheat desc="Infinite Game Time">
    <script state="run">
      <action>maincpu.pb@3BE5=01</action>
      <action>maincpu.pb@3BE6=06</action>
      <action>maincpu.pb@3BFF=01</action> <!-- Time per coin -->
      <action>maincpu.pb@3C00=1E</action> <!-- Time per coin -->
    </script>
  </cheat>

  <cheat desc="Infinite Ball in Hand Time">
    <script state="run">
      <action>maincpu.pb@3BE9=0A</action>
    </script>
  </cheat>

  <cheat desc="Infinite Attack Time">
    <script state="run">
      <action>maincpu.pb@3BE7=18</action>
    </script>
  </cheat>

  <cheat desc="Ball in Hand Time = 0 Now!">
    <script state="on">
      <action>maincpu.pb@3BE9=00</action>
    </script>
  </cheat>

  <cheat desc="Attack Time = 0 Now!">
    <script state="on">
      <action>maincpu.pb@3BE7=00</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Score always 0 PL1">
    <script state="run">
      <action>maincpu.pb@33A7=00</action>
    </script>
  </cheat>

  <cheat desc="Score always 255 PL1">
    <script state="run">
      <action>maincpu.pb@33A7=FF</action>
    </script>
  </cheat>

  <cheat desc="Set score = 0 Now! PL1">
    <script state="on">
      <action>maincpu.pb@33A7=00</action>
    </script>
  </cheat>

  <cheat desc="Set score = 255 Now! PL1">
    <script state="on">
      <action>maincpu.pb@33A7=FF</action>
    </script>
  </cheat>

  <cheat desc="Select Score Now! PL1">
    <parameter min="0" max="255" step="1"/>
    <script state="change">
      <action>maincpu.pb@33A7=(param)</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Score always = 0 PL2">
    <script state="run">
      <action>maincpu.pb@33A5=00</action>
    </script>
  </cheat>

  <cheat desc="Score always = 255 PL2">
    <script state="run">
      <action>maincpu.pb@33A5=FF</action>
    </script>
  </cheat>

  <cheat desc="Set score = 0 Now! PL2">
    <script state="on">
      <action>maincpu.pb@33A5=00</action>
    </script>
  </cheat>

  <cheat desc="Set score = 255 Now! PL2">
    <script state="on">
      <action>maincpu.pb@33A5=FF</action>
    </script>
  </cheat>

  <cheat desc="Select Score Now! PL2">
    <parameter min="0" max="255" step="1"/>
    <script state="change">
      <action>maincpu.pb@33A5=(param)</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
